Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362440

Summary: [RFE] Support pulling ISO images from Glance
Product: [oVirt] ovirt-engine Reporter: Barak Korren <bkorren>
Component: RFEsAssignee: Rob Young <royoung>
Status: CLOSED WONTFIX QA Contact: Gil Klein <gklein>
Severity: low Docs Contact:
Priority: unspecified    
Version: 4.0.1.1CC: bugs, dfediuck, ylavi
Target Milestone: ---Keywords: FutureFeature
Target Release: ---Flags: amureini: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-27 13:45:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Storage RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Barak Korren 2016-08-02 08:08:11 UTC
oVirt has a built-in feature for pulling VM images from a Glance image server.
Right now, oVirt only supports pulling QCOW2 disk images into data storage domains.
Since Glance can also store ISO images, It would be useful if oVirt could pull such ISO images into ISO storage domains.

Example use case for this - distribute the guest tools ISOs through glance.ovirt.org which is configured by default on all oVirt instances.

Comment 1 Yaniv Kaul 2016-08-03 01:43:25 UTC
I strongly prefer via the image uploader, which should support ISOs and remote URIs in 4.1.

Comment 2 Barak Korren 2016-08-03 06:28:10 UTC
The image uploader is great. 

But using it for something we are supposed to _provide_ is cumbersome - the user will have to:
1. Find somewhere to download the ISOs from
2. Copy the URL
3. Paste it to oVirt

As opposed to just selecting from a list inside the ovirt UI.

Comment 3 Doron Fediuck 2018-05-27 13:45:59 UTC
Closing old RFEs.
If relevant, please re-open and explain why.
As always- patches are welcomed!